Loading...
Searching...
No Matches
Dune::MultiTypeBlockMatrix_Solver_Col< I, crow, ccol, remain_col > Class Template Reference
Iterative Solvers Template Library (ISTL) » Sparse Matrix and Vector classes » DenseMatVec

part of solvers for MultiTypeBlockVector & MultiTypeBlockMatrix types More...

`#include <dune/istl/multitypeblockmatrix.hh>`

Inheritance diagram for Dune::MultiTypeBlockMatrix_Solver_Col< I, crow, ccol, remain_col >:

## Static Public Member Functions

template<typename Trhs, typename TVector, typename TMatrix, typename K>
static void | calc_rhs (const TMatrix &A, TVector &x, TVector &v, Trhs &b, const K &w)

## Detailed Description

template<int I, int crow, int ccol, int remain_col>
class Dune::MultiTypeBlockMatrix_Solver_Col< I, crow, ccol, remain_col >

part of solvers for MultiTypeBlockVector & MultiTypeBlockMatrix types

For the given row (index "crow") each element is used to calculate the equation's right side.

The documentation for this class was generated from the following file:

- multitypeblockmatrix.hh